Bug 831148 - Use of uninitialized value $grub_conf in string eq at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 202
Use of uninitialized value $grub_conf in string eq at /usr/share/perl5/vendor...
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-v2v (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 06:04 EDT by Jakub Hrozek
Modified: 2014-11-18 06:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-18 06:12:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The domain XML definition (1.93 KB, text/xml)
2012-06-12 06:04 EDT, Jakub Hrozek
no flags Details

  None (edit)
Description Jakub Hrozek 2012-06-12 06:04:10 EDT
Created attachment 591158 [details]
The domain XML definition

Description of problem:
I was trying to migrate a Fedora 16 VM, but virt-v2v is giving me errors:

# virt-v2v -i libvirtxml -o rhev -os server:/export --network rhevm /etc/libvirt/qemu/sbose-ipa-dev.xml 
sbose-ipa-dev-disk0: 100% [===================================================================================================================================================]D 0h03m53s
Use of uninitialized value $grub_conf in string eq at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 202.
Use of uninitialized value $grub_conf in string eq at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 202.
Use of uninitialized value in subroutine entry at /usr/share/perl5/vendor_perl/Sys/VirtConvert/GuestfsHandle.pm line 193.
Use of uninitialized value $grub_conf in concatenation (.) or string at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 535.
Use of uninitialized value $grub_conf in concatenation (.) or string at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 606.
virt-v2v: No capability in config matches os='linux' name='virtio' distro='fedora' major='16' minor='0'
Use of uninitialized value $grub_conf in concatenation (.) or string at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 456.
Use of uninitialized value $grub_conf in concatenation (.) or string at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 468.
Use of uninitialized value $grub_conf in concatenation (.) or string at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 1634.
Use of uninitialized value $grub_conf in concatenation (.) or string at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 1659.
Use of uninitialized value $grub_conf in concatenation (.) or string at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 1669.
virt-v2v: augeas error for /etc/logrotate.d/named: Iterated lens matched less than it should
error at line 1, char 0, file position 0
augeas lens: /usr/share/augeas/lenses/dist/logrotate.aug:111.13-.54:
augeas error for /etc/krb5.conf: Get did not match entire input
error at line 15, char 0, file position 278
augeas lens: /usr/share/augeas/lenses/dist/krb5.aug:124.10-126.62:


Version-Release number of selected component (if applicable):
virt-v2v-0.8.3-5.el6.x86_64
libguestfs-1.7.17-26.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. migrate that particular image
2.
3.
  
Actual results:
errors

Expected results:
successfull migration

Additional info:
I'll attach the domain XML definition.
Comment 1 Jakub Hrozek 2012-06-12 06:05:10 EDT
FWIW, it's only some domains that error out. Others work fine. I haven't been able to tell the difference.
Comment 3 yuping zhang 2012-06-14 02:42:37 EDT
AFAIK,virt-v2v does not support to convert Fedora.
Comment 4 RHEL Product and Program Management 2012-12-14 03:19:06 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Richard W.M. Jones 2014-11-18 06:12:31 EST
Virt-v2v needs to run on the latest Red Hat Enterprise Linux release
to ensure it can correctly read and modify new guest filesystem
features.  A new version of virt-v2v is now available for RHEL 7.1.

Before RHEL 7.1 is released, follow the instructions here to
install unsupported preview packages on top of RHEL 7.0:
https://www.redhat.com/archives/libguestfs/2014-May/msg00090.html

After RHEL 7.1 is released, virt-v2v will be available in
Technical Preview.

You can run virt-v2v in a single virtual machine.  Other
requirements are covered here:
http://libguestfs.org/virt-v2v.1.html#resource-requirements

If you find a missing feature or bug in the new version of virt-v2v
please file a bug using the following link:
https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%207&component=libguestfs

Note You need to log in before you can comment on or make changes to this bug.